%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global alt_name nicotine
%global nicotine_pythonsitedir py%{alt_name}

Name:           nicotine+
Version:        1.2.14
Release:        6%{?dist}
Summary:        A client for the SoulSeek filesharing network

Group:          Applications/Internet
License:        GPLv3+
URL:            http://www.nicotine-plus.org/
Source0:        http://129.125.101.92/%{name}/%{name}-%{version}.tar.bz2
# Prevent .glade files from being installed twice, in a non-standard directory
# (see http://www.nicotine-plus.org/ticket/532)
Patch0:         nicotine+-1.2.14-glade_install.patch
# Correct the provided .desktop file (see
# http://lists.nicotine-plus.org/pipermail/nicotine-plus-bugs/2010-January/001868.html)
Patch1:         nicotine+-1.2.14-desktop.patch
# Use xdg-open to open files or URLs and GStreamer to play audio effects (see
# http://www.nicotine-plus.org/ticket/538)
Patch2:         nicotine+-1.2.14-commands.patch
# Force the application to retrieve the installed guide in the right place (see
# http://www.nicotine-plus.org/ticket/539)
Patch3:         nicotine+-1.2.14-guide.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pygobject2
BuildRequires:  python-devel
Requires:       gstreamer-python
Requires:       notify-python
Requires:       pygtk2-libglade
Requires:       python-GeoIP
Requires:       python-mutagen
Requires:       python-sexy
Requires:       xdg-utils
BuildArch:      noarch

%description
Nicotine+ is a client for the SoulSeek filesharing network. It was "forked" from
Nicotine, Hyriand's Soulseek client, which in turn was forked from the
PySoulSeek project by Alexander Kanavin.


%prep
%setup -q
%patch0 -p1 -b .glade_install
%patch1 -p1 -b .desktop
%patch2 -p1 -b .commands
%patch3 -p1 -b .guide

# Remove shebangs
pushd pynicotine
for file in gtkgui/glade2py.py metadata_mutagen.py mp3.py _testmp3.py upnp.py; do
  sed -i.orig -e 1d $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done
popd


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
  --skip-build \
  --root $RPM_BUILD_ROOT

# Remove useless documentation
rm -f $RPM_BUILD_ROOT%{_datadir}/%{alt_name}/documentation/{BUILD_win32.txt,py2app,README.trayicon}

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{alt_name}.desktop

%find_lang %{alt_name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{alt_name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/nicotine*
%dir %{_datadir}/%{alt_name}
%doc %{_datadir}/%{alt_name}/documentation
%{_datadir}/%{alt_name}/sounds
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/*.1.gz
%{python_sitelib}/*.egg-info
%{python_sitelib}/%{nicotine_pythonsitedir}


%changelog
* Mon Jan 25 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.2.14-6
- Own directory %{_datadir}/%{alt_name}

* Thu Jan 14 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.2.14-5
- Drop no-shebang patch for a sed command

* Sat Jan  2 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.2.14-4
- Add nicotine+-1.2.14-guide.patch to force the application to retrieve the
  installed guide in the right place

* Fri Jan  1 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.2.14-3
- Update nicotine+-1.2.14-commands.patch patch to use GStreamer to play audio
  effects

* Fri Jan  1 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.2.14-2
- Add nicotine+-1.2.14-commands.patch patch to set xdg-open as the default
  program to open files or URLs
- Add therefore Requires on xdg-utils

* Sun Dec 27 2009 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 1.2.14-1
- Initial RPM release
